Not the answer you need?
Register and ask your own question!

facing issue while uninstalling xtrabackup 8.0 and install 2.4

nagu4mkngnagu4mkng Current User Role Novice
Hi Team,

Please help on the following issue.

$ sudo apt-get remove percona-xtrabackup-80
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 percona-xtrabackup-dbg-80 : Depends: percona-xtrabackup-80 (= 8.0.14-1.xenial) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
______________________________
$apt list --installed |grep xtra

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

percona-xtrabackup-80/unknown,now 8.0.14-1.xenial amd64 [installed]
percona-xtrabackup-dbg-80/unknown,now 8.0.14-1.xenial amd64 [installed]
_________________________________________
$ sudo dpkg --install  percona-xtrabackup-24_2.4.4-1.jessie_amd64.deb
dpkg: regarding percona-xtrabackup-24_2.4.4-1.jessie_amd64.deb containing percona-xtrabackup-24:
 percona-xtrabackup-80 conflicts with percona-xtrabackup-24
  percona-xtrabackup-24 (version 2.4.4-1.jessie) is to be installed.

dpkg: error processing archive percona-xtrabackup-24_2.4.4-1.jessie_amd64.deb (--install):
 conflicting packages - not installing percona-xtrabackup-24
Errors were encountered while processing:
 percona-xtrabackup-24_2.4.4-1.jessie_amd64.deb


Regards,
Naga

Answers

Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.